FROM python:3.13-slim

WORKDIR /home/backend
COPY ../ /home/backend

RUN python -m pip install --upgrade pip \
    && python -m pip install -r requirements.txt
    
RUN chmod +x ./docker/start.sh
ENTRYPOINT ["./docker/start.sh"]